/*	Renegade Scripts.dll
	Example Plugin Code
	Copyright 2007 Whitedragon(MDB), Jonathan Wilson

	This file is part of the Renegade scripts.dll
	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
	the terms of the GNU General Public License as published by the Free
	Software Foundation; either version 2, or (at your option) any later
	version. See the file COPYING for more details.
	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
	Only the source code to the module(s) containing the licenced code has to be released.
*/

#define PluginName "RenegadeScripting.dll"
#define PluginVersion "0.1"

void Plugin_Load();
void Plugin_Unload();
typedef void (*_Console_Input)(const char *);
typedef void (*_Console_Output)(const char *, ...);
typedef const char * (*_Get_Player_Name_By_ID)(int);

void INIT(_Console_Input CI, _Console_Output CO, _Get_Player_Name_By_ID GPNBI);

void ChatCall(int pID, int type, const char *Msg);
void OnPlayerJoin(int pID, const char *Nick);
void ChatCall(int pID, int type, const char *Msg);
void OnPlayerJoin(int pID, const char *Nick);
void OnPlayerLeave(int pID);
void OnHostMessage(int pID, int type, const char *Msg);
void OnLevelLoaded();
void OnLevelEnded();
void OnConsoleOutput(const char *Msg);
void OnDDERecived(const char *Msg);
void OnObjectCreate(int Object);

